create sequence task_id_seq start with 1 increment by 1;
create sequence user_id_seq start with 1 increment by 1;
create table FILE_INFO (ID uuid not null, CREATE_DATE timestamp(6), UPDATE_DATE timestamp(6), CHECKSUM varchar(64) not null, MIME_TYPE varchar(32) not null, NAME varchar(32) not null, PATH varchar(255) not null, REFERENCE_UUID uuid, primary key (ID));
create table TASKS (ID bigint not null, CREATE_DATE timestamp(6), UPDATE_DATE timestamp(6), CODE varchar(16) not null, CREATOR_UUID uuid not null, DESCRIPTION_WITH_FORMAT TEXT, PRIORITY varchar(16) not null, STATUS varchar(16) not null, TITLE varchar(64) not null, UUID uuid not null, WORKER_UUID uuid, primary key (ID));
create table USERY (ID bigint not null, CREATE_DATE timestamp(6), UPDATE_DATE timestamp(6), EMAIL varchar(128), PASSWORD varchar(128), USER_NAME varchar(64), UUID uuid not null, primary key (ID));
alter table FILE_INFO add constraint UK_akts0n062whjrn5pqvk5qcddr unique (MIME_TYPE);
alter table FILE_INFO add constraint UK_am4qe2w7hdqxusa7soe62th98 unique (NAME);
alter table FILE_INFO add constraint UK_8y7apj8o9prgb2peuwr2uqq2n unique (REFERENCE_UUID);
alter table TASKS add constraint UK_1d7gurte5hwyoi54w3awowix0 unique (CODE);
alter table TASKS add constraint UK_h7d2jcv8c2inkr6cmg1i1sn1v unique (CREATOR_UUID);
alter table TASKS add constraint UK_66mr33imjcwk7y7wf6wejpy84 unique (UUID);
alter table TASKS add constraint UK_dt9wnrcumbklaxn5llj7hbvvt unique (WORKER_UUID);
alter table USERY add constraint UK_5aqwktjojusugjdkh5elu6eej unique (USER_NAME);
alter table USERY add constraint UK_3oi9fh5ug7bcj4y38jx2d4md1 unique (UUID);
